Subject: Re: squid problem solved
From: "Gerrit P. Haase" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Date: Fri, 25 May 2001 23:53:20 +0200

Robert Collins schrieb am 2001-05-25, 20:58:

> ----- Original Message ----- 
> From: "Gerrit P. Haase" <[email-masked]>
> 
> 
> > Hi,
> > 
> > i solved my squid problem.
> 
> Fantastic. I was getting ready to answer :]
> 
> Rob
> 

Ahh no,  it still doesn't serve any requests.  I couldn't test
it this morning,  i only saw over telnet that it was able to
read and rename the swap the swap.state file.  I found it still
running this evening.  No error in event log. 

I am at the end.
Here in config file it is mentioned that it should be started as
root.
What is Cygwin pendant to root?
Should I better run squid under another user than SYSTEM?

I get in the .conf another user, not SYSTEM and it did not work.
I set all cache files to be owned by SYSTEM now (group SYSTEM too),
it reads in the cache and no error occurs, but it serves not.

#  TAG: cache_effective_user
#  TAG: cache_effective_group
#
#	If the cache is run as root, it will change its effective/real
#	UID/GID to the UID/GID specified below.  The default is to
#	change to UID to nobody and GID to nogroup.
#
#	If Squid is not started as root, the default is to keep the
#	current UID/GID.  Note that if Squid is not started as root then
#	you cannot set http_port to a value lower than 1024.
#
#Default:
# cache_effective_user nobody
# cache_effective_group nogroup
cache_effective_user SYSTEM
cache_effective_group SYSTEM

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple